/*General*/

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

html{
    scroll-behavior: smooth;
}

/*Buttons*/

.primary-btn{
    padding: 12px 10px;
    background-color: white;
    color: black;
    border-radius: 5px;
    border: 0;
    transition: all 0.2s ease;
    cursor: pointer;
}

.primary-btn:hover{
    transform: translateY(-10px);
}

/* Hero */

#hero{
    height: 100vh;
    width: 100%;
    /*overflow: hidden;*/
    /*position: relative;*/
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    /*background: rgb(0, 0, 0);*/

    background-size: cover;
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url("./images/hero-background.jpg") no-repeat center;
}

/*.image-container{*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    background-image: url("./images/hero-background.jpg");*/
/*    filter: opacity(20%);*/
/*    background-size: cover;*/
/*    background-position: center;*/
/*    z-index: 1;*/
/*    overflow: hidden;*/
/*}*/

.nav-links{
    width: 100%;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding-top: 20px;
    z-index: 2;
    list-style: none;
}

.nav-link{
    width: fit-content;
}

.nav-link a{
    text-decoration: none;
    color: white;
    cursor: pointer;
}

.hero-details{
    max-width: 50%;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    text-align: center;
    z-index: 2;
}

.arrow{
    color: white;
    background: none;
    text-align: center;
    border: 0;
    outline: 0;
    font-size: 60px;
    padding: 20px;
    animation: wave 1s ease infinite alternate;
    text-decoration: none;
    z-index: 2;
}

#arrow{
    border-bottom: 1px solid white;
    border-right: 1px solid white;
    width: 30px;
    height: 30px;
    transform: rotate(45deg);
    margin-bottom: 20px;
    animation: wave 2s alternate infinite ease-in-out;
}

@keyframes 'wave'{
    from{
        transform: translateY(5px) rotate(45deg);
    }

    to{
        transform: translateY(-5px) rotate(45deg);
    }
}

/*News*/

#news{
    width: 100%;
    padding: 90px;
}

.news-items{
    margin-top: 15px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 200px);
    grid-gap: 5px;
}

.item{
    height: 100%;
    padding: 60px;
    background-color: #D9D9D9;
    transition: 0.5s opacity linear;
    opacity: 100%;
}

hr{
    width: 100%;
    background-color: white;
    border: 3px #888;
    border-style: none none dotted;
    margin-bottom: 10px;
}

.transparent{
    opacity: 0;
}

@media only screen and (max-width: 960px){
    .news-items{
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, 200px);
    }

    .item:nth-child(odd){
        background-color: #e8e8e8;
    }

    .item:nth-child(n+4){
        display: none;
    }
}

/*Form*/
textarea:focus, input:focus{
    outline-offset: 5px;
    outline: blue 10px solid;
}